import request from '/@/utils/request';

export function workApplyApi() {
    return {
        // 分页获取申请列表
        getApplyListtPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/applying/page/list`,
                method: 'post',
                data: data
            });
        },

        // 动火申请
        postFireApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/hot`,
                method: 'post',
                data: data
            });
        },

        // 取消申请
        cancelApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/cancel`,
                method: 'post',
                data: data
            });
        },

        // 查询进度
        getStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/applicant/approved/view`,
                method: 'post',
                data: data
            });
        },
    };
}
